import * as React from 'react';
import { pie, arc, interpolateRgb, format } from 'd3';
import { Slice } from './Slice';
import { Check } from './Check';

const donThemes = [
  {cat: 'Health', pc: .323},
  {cat: 'Support', pc: .252},
  {cat: 'Education', pc: .1323},
  {cat: 'Poverty reduction', pc: .108},
  {cat: 'Other', pc: .185}
];


const xValue = d => d.pc;

const height = 500;
const width = 960;


const donutWidth = 80; 

const innerRadius = 110;
const outerRadius = innerRadius + donutWidth;

//console.log(donThemes.map(xValue))

export const SimplePieChart = () => {
  const xData = donThemes.map(xValue).sort();
  let pie = d3.pie()(xData);
  
  for(let i = 0; i < pie.length; i++) {
  	//console.log(pie[i])
    //pie[i].xValue = xData[i];
  }
  
  console.log(pie)
  //console.log(donThemes.map(xValue))

  return (
    <svg height={height} width={width}>
      <g
        transform={`translate(${width / 2},${height / 2})`}
      >
        <Slice
          pie={pie}
          outerRadiusMain={outerRadius}
          innerRadiusMain={innerRadius}
          xValue={xData}
          donutWidth={donutWidth}
        />
      </g>
      {/* <Check/> */}
    </svg>
  );
};
